
using System;

namespace Math2D.Shapes
{
	
	
	public class Circle2D: Shape2D
	{
		private Vector2D FPoint = new Vector2D();
		private float FRadius = 0.0f;
		public Circle2D()
		{
		}
		
		public override bool CollisionTest(Shape2D s, out Vector2D v) {
			v = null;
			return false;	
		}
		
				
		public override void Move(Vector2D v) {
			
		}
		
		public override void Offset(Vector2D v) {
			FPoint += v;	
		}
		
		public Vector2D Point {
			get { return FPoint; }
		}
		
		public float Radius {
			get { return FRadius; }
			set { FRadius = value; }
		}
	}
}
